National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2013-4419 Detail

Current Description

The guestfish command in libguestfs 1.20.12, 1.22.7, and earlier, when using the --remote or --listen option, does not properly check the ownership of /tmp/.guestfish-$UID/ when creating a temporary socket file in this directory, which allows local users to write to the socket and execute arbitrary commands by creating /tmp/.guestfish-$UID/ in advance.

Source:  MITRE
Description Last Modified:  11/05/2013
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 6.8 MEDIUM
Vector: (AV:A/AC:H/Au:N/C:C/I:C/A:C) (V2 legend)
Impact Subscore: 10.0
Exploitability Subscore: 3.2


Access Vector (AV): Local_Network
Access Complexity (AC): High
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): Complete
Availability (A): Complete
Additional Information:
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-security-announce/2013-11/msg00001.html Vendor Advisory
http://rhn.redhat.com/errata/RHSA-2013-1536.html
https://bugzilla.redhat.com/show_bug.cgi?id=1016960 Patch
https://www.redhat.com/archives/libguestfs/2013-October/msg00031.html Vendor Advisory

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:libguestfs:libguestfs:1.20.0:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.1:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.2:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.3:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.4:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.5:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.6:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.7:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.8:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.9:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.10:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.20.11:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:*:*:*:*:*:*:*:*    versions up to (including) 1.20.12
cpe:2.3:a:libguestfs:libguestfs:1.22.0:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.22.1:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.22.2:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.22.3:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.22.4:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.22.5:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:1.22.6:*:*:*:*:*:*:*
cpe:2.3:a:libguestfs:libguestfs:*:*:*:*:*:*:*:*    versions up to (including) 1.22.7
Configuration 2
OR
cpe:2.3:a:suse:suse_linux_enterprise_software_development_kit:11.0:sp3:*:*:*:*:*:*
cpe:2.3:o:novell:suse_linux_enterprise_server:11.0:sp3:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2013-4419
NVD Published Date:
11/05/2013
NVD Last Modified:
01/14/2015